LOCUS       NP_001307                971 aa            linear   PRI 23-NOV-2005
DEFINITION  CSE1 chromosome segregation 1-like protein isoform a [Homo
            sapiens].
ACCESSION   NP_001307
VERSION     NP_001307.2  GI:29029559
DBSOURCE    REFSEQ: accession NM_001316.2
KEYWORDS    .
SOURCE      Homo sapiens (human)
  ORGANISM  Homo sapiens
            Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi;
            Mammalia; Eutheria; Euarchontoglires; Primates; Catarrhini;
            Hominidae; Homo.
REFERENCE   1  (residues 1 to 971)
  AUTHORS   Goldberg,G.S., Alexander,D.B., Pellicena,P., Zhang,Z.Y., Tsuda,H.
            and Miller,W.T.
  TITLE     Src phosphorylates Cas on tyrosine 253 to promote migration of
            transformed cells
  JOURNAL   J. Biol. Chem. 278 (47), 46533-46540 (2003)
   PUBMED   12972425
  REMARK    GeneRIF: a single phosphorylation site on CAS can effectively
            separate cell migration from other transformed growth
            characteristics
REFERENCE   2  (residues 1 to 971)
  AUTHORS   Behrens,P., Brinkmann,U. and Wellmann,A.
  TITLE     CSE1L/CAS: its role in proliferation and apoptosis
  JOURNAL   Apoptosis 8 (1), 39-44 (2003)
   PUBMED   12510150
  REMARK    Review article
            GeneRIF: CSE1L/CAS has a role in proliferation and apoptosis
            [review]
REFERENCE   3  (residues 1 to 971)
  AUTHORS   Jiang,M.C., Liao,C.F. and Tai,C.C.
  TITLE     CAS/CSE 1 stimulates E-cadhrin-dependent cell polarity in HT-29
            human colon epithelial cells
  JOURNAL   Biochem. Biophys. Res. Commun. 294 (4), 900-905 (2002)
   PUBMED   12061792
  REMARK    GeneRIF: CAS/CSE 1 stimulates E-cadhrin-dependent cell polarity in
            HT-29 human colon epithelial cells.
REFERENCE   4  (residues 1 to 971)
  AUTHORS   Behrens,P., Brinkmann,U., Fogt,F., Wernert,N. and Wellmann,A.
  TITLE     Implication of the proliferation and apoptosis associated CSE1L/CAS
            gene for breast cancer development
  JOURNAL   Anticancer Res. 21 (4A), 2413-2417 (2001)
   PUBMED   11724300
REFERENCE   5  (residues 1 to 971)
  AUTHORS   Wellmann,A., Flemming,P., Behrens,P., Wuppermann,K., Lang,H.,
            Oldhafer,K., Pastan,I. and Brinkmann,U.
  TITLE     High expression of the proliferation and apoptosis associated
            CSE1L/CAS gene in hepatitis and liver neoplasms: correlation with
            tumor progression
  JOURNAL   Int. J. Mol. Med. 7 (5), 489-494 (2001)
   PUBMED   11295109
REFERENCE   6  (residues 1 to 971)
  AUTHORS   Brinkmann,U., Brinkmann,E., Bera,T.K., Wellmann,A. and Pastan,I.
  TITLE     Tissue-specific alternative splicing of the CSE1L/CAS (cellular
            apoptosis susceptibility) gene
  JOURNAL   Genomics 58 (1), 41-49 (1999)
   PUBMED   10331944
REFERENCE   7  (residues 1 to 971)
  AUTHORS   Kutay,U., Bischoff,F.R., Kostka,S., Kraft,R. and Gorlich,D.
  TITLE     Export of importin alpha from the nucleus is mediated by a specific
            nuclear transport factor
  JOURNAL   Cell 90 (6), 1061-1071 (1997)
   PUBMED   9323134
REFERENCE   8  (residues 1 to 971)
  AUTHORS   Brinkmann,U., Brinkmann,E., Gallo,M., Scherf,U. and Pastan,I.
  TITLE     Role of CAS, a human homologue to the yeast chromosome segregation
            gene CSE1, in toxin and tumor necrosis factor mediated apoptosis
  JOURNAL   Biochemistry 35 (21), 6891-6899 (1996)
   PUBMED   8639641
REFERENCE   9  (residues 1 to 971)
  AUTHORS   Brinkmann,U., Gallo,M., Polymeropoulos,M.H. and Pastan,I.
  TITLE     The human CAS (cellular apoptosis susceptibility) gene mapping on
            chromosome 20q13 is amplified in BT474 breast cancer cells and part
            of aberrant chromosomes in breast and colon cancer cell lines
  JOURNAL   Genome Res. 6 (3), 187-194 (1996)
   PUBMED   8963895
REFERENCE   10 (residues 1 to 971)
  AUTHORS   Brinkmann,U., Brinkmann,E., Gallo,M. and Pastan,I.
  TITLE     Cloning and characterization of a cellular apoptosis susceptibility
            gene, the human homologue to the yeast chromosome segregation gene
            CSE1
  JOURNAL   Proc. Natl. Acad. Sci. U.S.A. 92 (22), 10427-10431 (1995)
   PUBMED   7479798
COMMENT     REVIEWED REFSEQ: This record has been curated by NCBI staff. The
            reference sequence was derived from AF053641.1 and BG392946.1.
            On Mar 18, 2003 this sequence version replaced gi:4503073.
            
            Summary: Proteins that carry a nuclear localization signal (NLS)
            are transported into the nucleus by the importin-alpha/beta
            heterodimer. Importin-alpha binds the NLS, while importin-beta
            mediates translocation through the nuclear pore complex. After
            translocation, RanGTP binds importin-beta and displaces
            importin-alpha. Importin-alpha must then be returned to the
            cytoplasm, leaving the NLS protein behind. The protein encoded by
            this gene binds strongly to NLS-free importin-alpha, and this
            binding is released in the cytoplasm by the combined action of
            RANBP1 and RANGAP1. In addition, the encoded protein may play a
            role both in apoptosis and in cell proliferation. Multiple
            transcript variants encoding several different isoforms have been
            described for this gene.
            
            Transcript Variant: This variant (1) represents the longer
            transcript and encodes the longer isoform (a).
FEATURES             Location/Qualifiers
     source          1..971
                     /organism="Homo sapiens"
                     /db_xref="taxon:9606"
                     /chromosome="20"
                     /map="20q13"
     Protein         1..971
                     /product="CSE1 chromosome segregation 1-like protein
                     isoform a"
                     /note="chromosome segregation 1 (yeast homolog)-like;
                     importin-alpha re-exporter; cellular apoptosis
                     susceptibility protein; CSE1 chromosome segregation 1-like
                     protein, isoform a"
                     /calculated_mol_wt=110286
     CDS             1..971
                     /gene="CSE1L"
                     /coded_by="NM_001316.2:135..3050"
                     /note="isoform a is encoded by transcript variant 1;
                     go_component: nucleus [goid 0005634] [evidence TAS] [pmid
                     9323134];
                     go_component: nuclear pore [goid 0005643] [evidence IEA];
                     go_component: cytoplasm [goid 0005737] [evidence TAS]
                     [pmid 9323134];
                     go_function: binding [goid 0005488] [evidence IEA];
                     go_function: protein transporter activity [goid 0008565]
                     [evidence IEA];
                     go_function: importin-alpha export receptor activity [goid
                     0008262] [evidence TAS] [pmid 9323134];
                     go_process: apoptosis [goid 0006915] [evidence TAS] [pmid
                     7479798];
                     go_process: protein transport [goid 0015031] [evidence
                     IEA];
                     go_process: cell proliferation [goid 0008283] [evidence
                     TAS] [pmid 7479798];
                     go_process: protein import into nucleus, docking [goid
                     0000059] [evidence IEA]"
                     /db_xref="CCDS:CCDS13412.1"
                     /db_xref="GeneID:1434"
                     /db_xref="HGNC:2431"
                     /db_xref="HPRD:HPRD_03217"
                     /db_xref="MIM:601342"
ORIGIN      
        1 melsdanlqt lteylkktld pdpairrpae kflesvegnq nyplllltll eksqdnvikv
       61 casvtfknyi krnwrivede pnkiceadrv aikanivhlm lsspeqiqkq lsdaisiigr
      121 edfpqkwpdl ltemvnrfqs gdfhvingvl rtahslfkry rhefksnelw teiklvldaf
      181 alpltnlfka tielcsthan dasalrilfs slilisklfy slnfqdlpef fednmetwmn
      241 nfhtlltldn kllqtddeee agllellksq icdnaalyaq kydeefqryl prfvtaiwnl
      301 lvttgqevky dllvsnaiqf lasvcerphy knlfedqntl tsicekvivp nmefraadee
      361 afednseeyi rrdlegsdid trrraacdlv rglckffegp vtgifsgyvn smlqeyaknp
      421 svnwkhkdaa iylvtslask aqtqkhgitq anelvnltef fvnhilpdlk sanvnefpvl
      481 kadgikyimi frnqvpkehl lvsipllinh lqaesivvht yaahalerlf tmrgpnnatl
      541 ftaaeiapfv eilltnlfka ltlpgssene yimkaimrsf sllqeaiipy iptlitqltq
      601 kllavsknps kphfnhymfe aiclsiritc kanpaavvnf eealflvfte ilqndvqefi
      661 pyvfqvmsll lethkndips symalfphll qpvlwertgn ipalvrllqa flergsntia
      721 saaadkipgl lgvfqklias kandhqgfyl lnsiiehmpp esvdqyrkqi fillfqrlqn
      781 skttkfiksf lvfinlycik ygalalqeif dgiqpkmfgm vlekiiipei qkvsgnvekk
      841 icavgitkll tecppmmdte ytklwtpllq sliglfelpe ddtipdeehf idiedtpgyq
      901 tafsqlafag kkehdpvgqm vnnpkihlaq slhklstacp grvpsmvsts lnaealqylq
      961 gylqaasvtl l
//

