/*
 *                    BioJava development code
 *
 * This code may be freely distributed and modified under the
 * terms of the GNU Lesser General Public Licence.  This should
 * be distributed with the code.  If you do not have a copy,
 * see:
 *
 *      http://www.gnu.org/copyleft/lesser.html
 *
 * Copyright for this code is held jointly by the individual
 * authors.  These should be listed in @author doc comments.
 *
 * For more information on the BioJava project and its aims,
 * or to join the biojava-l mailing list, visit the home page
 * at:
 *
 *      http://www.biojava.org/
 *
 */

package org.biojava.bio.seq;

import org.biojava.bio.symbol.GappedSymbolList;

/**
 * Extension of GappedSymbolList which also projects features
 * into the gapped coordinate system.
 *
 * @author Thomas Down
 * @author Matthew Pocock
 * @since 1.3
 */

public interface GappedSequence
extends Sequence, GappedSymbolList {
}
