package org.biojavax.bio.phylo.tree;

import java.util.Iterator;

/**
 * @author Tobias Thierer
 * @version $Id: Tree.java,v 1.2 2006/12/14 15:10:42 tobias Exp $
 *          <p/>
 *          created on 12.12.2006 13:23:41
 */
public interface Tree {
    /**
     * Adds a branch to the tree. branch.getNodeA() must
     * already be in this tree; branch.getNodeB()
     * must not yet be in this tree, but it may already
     * be in another tree.
     * @param branch
     */
    void addBranch(Branch branch);

    /**
     * An iterator over the nodes of this tree.
     */
    Iterator iterator();

    boolean isEmpty();
}
